commit:     dc4476fd5b5ab8a88749cf42cc4f59430d429e63
Author:     Jakov Smolic <jakov.smolic <AT> sartura <DOT> hr>
AuthorDate: Sun Nov 15 23:23:25 2020 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Nov 15 23:23:25 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dc4476fd

sys-auth/ykclient: disable static libs, port to EAPI 7

Closes: https://bugs.gentoo.org/725690
Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Jakov Smolic <jakov.smolic <AT> sartura.hr>
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sys-auth/ykclient/ykclient-2.15.ebuild | 23 +++++++++++++++--------
 1 file changed, 15 insertions(+), 8 deletions(-)

diff --git a/sys-auth/ykclient/ykclient-2.15.ebuild 
b/sys-auth/ykclient/ykclient-2.15.ebuild
index cec75e52208..e119df25b79 100644
--- a/sys-auth/ykclient/ykclient-2.15.ebuild
+++ b/sys-auth/ykclient/ykclient-2.15.ebuild
@@ -1,19 +1,26 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
 DESCRIPTION="Yubico C client library"
 SRC_URI="http://opensource.yubico.com/yubico-c-client/releases/${P}.tar.gz";
 HOMEPAGE="https://github.com/Yubico/yubico-c-client";
 
-KEYWORDS="~amd64 ~x86"
-SLOT="0"
 LICENSE="BSD-2"
-IUSE="static-libs"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+# Tests require an active network connection, we don't want to run them
+RESTRICT="test"
 
-RDEPEND=">=net-misc/curl-7.21.1"
+RDEPEND="net-misc/curl"
 DEPEND="${RDEPEND}"
 
-# Tests require an active network connection, we don't want to run them
-RESTRICT="test"
+src_configure() {
+       econf --disable-static
+}
+
+src_install() {
+       default
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to